#property indicator_chart_window

extern double ADRPeriod = 21;
double ADR;
string HighText;
string LowText;
double PointsV;
double PipsToHighD;
double PipsToLowD;
int PipsToHigh;
int PipsToLow;
int ADRInt;

int init() {
   if (Digits >= 4) PointsV = 0.0001;
   else PointsV = 0.01;
   
   if (Digits == 0) PointsV = 1;
   if (Digits == 1) PointsV = 1;   
   
   return (0);
}

int deinit() {
   ObjectDelete("ADR_High");
   ObjectDelete("ADR_Low");
   return (0);
}

int start() {
int SundayCount=0;
int Periods=0;
double ADR=0;

   for (int i = 1; i <= ADRPeriod; i++) {
       if(TimeDayOfWeek(iTime(NULL,PERIOD_D1,i)) == 0) SundayCount++;
   }

   Periods = ADRPeriod + SundayCount;

   for (i = 1; i <= Periods; i++) {
       if(TimeDayOfWeek(iTime(NULL,PERIOD_D1,i)) != 0) {
          ADR = ADR + (iHigh(NULL, PERIOD_D1, i) - iLow(NULL, PERIOD_D1, i));
       }   
   }   ADR /= ADRPeriod;
   
   PipsToHighD = (iLow(NULL, PERIOD_D1, 0) + ADR) - Bid;
   PipsToLowD = Bid - (iHigh(NULL, PERIOD_D1, 0) - ADR); 
   
   if (Bid > (iLow(NULL, PERIOD_D1, 0) + ADR)) PipsToHighD = 0;
   if (Bid < (iHigh(NULL, PERIOD_D1, 0) - ADR)) PipsToLowD = 0;   
   
   PipsToHigh = PipsToHighD / PointsV;
   PipsToLow = PipsToLowD / PointsV;     
   
   HighText=StringConcatenate(" Pips to High=", PipsToHigh);
   LowText=StringConcatenate(" Pips to Low=", PipsToLow);
   ADRInt = ADR / PointsV;
   
   Comment("ADR=", ADRInt, HighText, LowText);
   
/*   ObjectCreate("ADR_High", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ADR_High", HighText, 12, "Arial Bold", White);
   ObjectSet("ADR_High", OBJPROP_CORNER, 0);
   ObjectSet("ADR_High", OBJPROP_XDISTANCE, 0);
   ObjectSet("ADR_High", OBJPROP_YDISTANCE, 0);

   ObjectCreate("ADR_Low", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ADR_Low", LowText, 12, "Arial Bold", Yellow);
   ObjectSet("ADR_Low", OBJPROP_CORNER, 0);
   ObjectSet("ADR_Low", OBJPROP_XDISTANCE, 0);
   ObjectSet("ADR_Low", OBJPROP_YDISTANCE, 0); */

   return (0);
}